Skip to main content
POST
/
api
/
v1
/
local-directory-configs
/
{directory_app_id}
/
invitations
Create
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.LocalUserInvitation.Create(ctx, operations.C1APILocalDirectoryV1LocalUserInvitationServiceCreateRequest{
        DirectoryAppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.LocalUserInvitationServiceCreateResponse != nil {
        // handle response
    }
}
{
  "invitation": {
    "acceptedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdUserId": "<string>",
    "directoryAppId": "<string>",
    "displayName": "<string>",
    "email": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "initialRoleIds": [
      "<string>"
    ],
    "invitedByUserId": "<string>",
    "jobId": "<string>",
    "onboardingFlowId": "<string>",
    "purpose": "<string>",
    "sponsorUserId": "<string>",
    "status": "LOCAL_INVITATION_STATUS_UNSPECIFIED",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

directory_app_id
string
required

FK to the LocalDirectoryConfig (app_id) this invitation belongs to.

Body

application/json

The LocalUserInvitationServiceCreateRequest message.

displayName
string
required

The displayName field.

email
string
required

The email field.

initialRoleIds
string[] | null

Optional initial role IDs to assign upon acceptance.

jobId
string

Optional FK to a ThirdPartyJob.

onboardingFlowId
string

Optional onboarding flow override.

purpose
string

Human-readable reason for the invitation.

sponsorUserId
string

Optional sponsor User override.

Response

200 - application/json

Successful response

The LocalUserInvitationServiceCreateResponse message.

invitation
Local User Invitation · object

LocalUserInvitation is the public representation of a per-directory user invitation.